_PTPParams(3)

NAME
_PTPParams

SYNOPSIS

  Data Fields
uint32_t device_flags
uint8_t byteorder
uint16_t maxpacketsize
PTPIOSendReq sendreq_func
PTPIOSendData senddata_func
PTPIOGetResp getresp_func
PTPIOGetData getdata_func
PTPIOGetResp event_check
PTPIOGetResp event_check_queue
PTPIOGetResp event_wait
PTPIOCancelReq cancelreq_func
PTPIODevStatReq devstatreq_func
PTPErrorFunc error_func
PTPDebugFunc debug_func
void * data
uint32_t transaction_id
uint32_t session_id
uint32_t opencapture_transid
int split_header_data
int ocs64
int nrofobjectformats
MTPObjectFormat * objectformats
PTPObject * objects
unsigned int nrofobjects
PTPDeviceInfo deviceinfo
PTPContainer * events
unsigned int nrofevents
unsigned int capcnt
int inliveview
int cachetime
PTPStorageIDs storageids
int storagechanged
PTPDeviceProperty * deviceproperties
unsigned int nrofdeviceproperties
PTPCanon_Property * canon_props
unsigned int nrofcanon_props
int canon_viewfinder_on
int canon_event_mode
PTPCanon_changes_entry * backlogentries
unsigned int nrofbacklogentries
int eos_captureenabled
int eos_camerastatus
int controlmode
int event90c7works
int deletesdramfails
struct timeval starttime
uint8_t wifi_profiles_version
uint8_t wifi_profiles_number
PTPNIKONWifiProfile * wifi_profiles
int cmdfd
int evtfd
int jpgfd
uint8_t cameraguid [16]
uint32_t eventpipeid
char * cameraname
PTPDeviceInfo outer_deviceinfo
char * olympus_cmd
char * olympus_reply
struct _PTPParams * outer_params
uint8_t * response_packet
uint16_t response_packet_size

Author

Generated automatically by Doxygen for libmtp from the source code.